### Function

# Shell write_string_to_stream

since: 14

#### Declaration [src]

    gboolean
    shell_write_string_to_stream (
      GOutputStream* stream,
      const char* str,
      GError** error
    )

#### Description [src]

Write a string to a GOutputStream as UTF-8. This is a workaround for not having binary buffers in GJS.

Available since: 14

#### Parameters

`stream`

  Type: `GOutputStream`

  A `GOutputStream`.

  The data is owned by the caller of the function.

`str`

  Type: `const char*`

  A UTF-8 string to write to `stream`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if write succeeded.